Skip to end of metadata
Go to start of metadata

Users of Apache Flex SDK 4.10.0 (and future releases until this issue is addressed) will experience a bug in Adobe Flash Builder 4.7 and Adobe Flash Builder 4.6) when creating a new project that uses Spark Application. Flash Builder will incorrectly insert the following attribute in the Application tag:

This will result in a compile error in the new project. The remedy is to simply remove the errant attribute.

Members of the Adobe Flash Builder team are aware of the problem and investigating ways of correcting the problem in Flash Builder 4.7. It is unlikely that Adobe will address the problem in Flash Builder 4.6 because only Flash Builder 4.7 officially supports Apache Flex SDKs.

This page will be updated to reflect the latest information we can get from the Flash Builder team regarding this issue.

Update: September 4, 2013

Adobe has made a patched .jar available here: http://helpx.adobe.com/flash-builder/kb/flex-new-project-issue--.html

  • No labels

16 Comments

  1. Hello
    Congress for releasing Apache-flex 4.10.0.i Am a Senior Flex Mobile Developer india.When I Created New Project useing Apache-Flex 4.10.0 Sdk Then face A Bug"
    Initializer for 'layout': values of type spark.layouts.supportClasses.LayoutBase cannot be represented in text."Plz Tell Me How i Reslove This issue.

    And I wanna Make Chart Using Spark Component because Mx Component is very loaded then application is very slow on device (ipad).

    Thanks
    Raghav Kulshrestha
    Senior Flex Mobile Developer

    1. All you have to do is delete the layout="absolute" from the file. It shouldn't be in there.

  2. Auto generated FlexUnit Application classes also suffer the same bug and since they're auto-generated the mentioned workaround do not apply. Unit testing Apache Flex compiled library using FB 4.7 isn't an option for me currently. Any suggestions?

    Thanks
    Haluk

    1. No I Am Not Face This Issue using FB 4.7,when I Face This issue then i will Suggest u .

  3. Any idea if it is possible to manualy update Flash Builder without waiting for an update?

    1. No idea because i am trace this

    2. Adobe has a replacement .jar file. Apache cannot distribute that file. Hopefully the replacement .jar will be available from Adobe soon.

      1. That Means In New Sdk We Don`t use .jar file .

        1. I'm not sure what you mean by that. The replacement .jar replaces a .jar file in Flash Builder, not the Apache Flex SDK.

  4. Hello
    Plz tell Me In flex 4.10.0 Possible that Email with attachment application create for Mobile Application, if Any suggestion then plz tell me Becasuse i create a simple apps for ios and Android device

    Raghav Kulshrestha
    Senior Flex Developer

  5. Anonymous

    It might be worth noting the other workaround on this wiki page… if you close flash builder and change the line in flex-sdk-description.xml file that says <version >4.10.0</version> to <version >4.9.0</version>

    This bug stops manifesting.

  6. Can we use Button and image add in tab bar using tab application flex mobile ,Any suggestion then help me.

    1. Please subscribe to the users@flex.apache.org mailing list and ask your questions that are un-related to this topic on that mailing list. You will get better response time there as well. To subscribe, send an email to users-subscribe@flex.apache.org.

  7. Anonymous

    Great Apache 4.11.0 is released and many problem solve in datagrid.

    thanks
    Raghav Kulshrestha